import { Model, layout, Box, CaptureFunction, Options } from './interfaces';
import MutexModel from './mutex_model';
declare const InputListener: any;
declare class MutexBox extends MutexModel {
    vessel: HTMLElement;
    inputListener?: typeof InputListener;
    static space: layout;
    static capture: layout;
    static InputListener: any;
    private target_box?;
    static MutexModel: typeof MutexModel;
    private _stay_timeout?;
    private _client_width;
    constructor(vessel: HTMLElement, boxes: Array<Box>, options?: Options);
    disable(): void;
    get capture(): layout | CaptureFunction;
    get space(): layout;
    activate(): void;
    remove(boxes: Array<Box> | Box): void;
    add(boxes: Array<Box> | Box): void;
    resize: (ncols?: number, direction?: number | boolean) => void;
    get clientWidth(): number;
    update(box?: Box, new_values?: Model): void;
    dragStart: (e: TouchEvent | MouseEvent, t: MouseEvent | Touch) => boolean;
    private _e?;
    private _t?;
    dragMove: (e: TouchEvent | MouseEvent, v2: [number, number], t: MouseEvent | Touch) => void;
    dragEnd: (e: TouchEvent | MouseEvent, t: MouseEvent | Touch) => void;
    private _update;
    get cellSize(): number;
    private _get_box;
    receive(e?: TouchEvent | MouseEvent, t?: Touch | MouseEvent, box?: Box): void;
    move(models: Array<Box> | Box, v2: [number, number] | Array<[number, number]>, flags?: number): Model[];
    put: (is_release?: boolean, box?: Box, e?: TouchEvent | MouseEvent, t?: MouseEvent | Touch) => void;
}
export { InputListener, MutexBox, MutexModel };
export default MutexBox;
